Bug 174532 - Gazpacho does not start
Gazpacho does not start
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gazpacho (Show other bugs)
4
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 14:49 EST by Dawid Zamirski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.3-1.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 14:06:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dawid Zamirski 2005-11-29 14:49:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.8) Gecko/20051129 Firefox/1.5

Description of problem:
Gazpacho fails to start on my x86_64 FC4 system and throws a python error. 

Version-Release number of selected component (if applicable):
gazpacho-0.6.2-2.fc4

How reproducible:
Always

Steps to Reproduce:
1. Start gazpacho from CLI
2. Read python error
3.
  

Actual Results:  [maners@athlon64 ~]$ gazpacho
Traceback (most recent call last):
  File "/usr/bin/gazpacho", line 71, in ?
    sys.exit(main.main((sys.argv)))
  File "/usr/lib/python2.4/site-packages/gazpacho/main.py", line 183, in main
    launch(options, filenames)
  File "/usr/lib/python2.4/site-packages/gazpacho/main.py", line 108, in launch
    from gazpacho.application import Application
  File "/usr/lib/python2.4/site-packages/gazpacho/application.py", line 29, in ?    from gazpacho.clipboard import Clipboard, ClipboardWindow
  File "/usr/lib/python2.4/site-packages/gazpacho/clipboard.py", line 47, in ?
    from gazpacho.project import GazpachoObjectBuilder
  File "/usr/lib/python2.4/site-packages/gazpacho/project.py", line 31, in ?
    from gazpacho.widgets.base.custom import Custom
  File "/usr/lib/python2.4/site-packages/gazpacho/widgets/base/custom.py", line 43, in ?
    class Custom(PropertyObject, gtk.DrawingArea):
  File "/usr/lib/python2.4/site-packages/gazpacho/kiwiutils.py", line 39, in __init__
    cls.__class_init__(namespace)
  File "/usr/lib/python2.4/site-packages/gazpacho/kiwiutils.py", line 119, in __class_init__
    gobject.type_register(cls)
OverflowError: signed integer is greater than maximum


Expected Results:  Progrma startup

Additional info:

[maners@athlon64 ~]$ rpm -qa | grep -i pyGTK
pygtk2-2.6.2-0.fc4.4
pygtk2-devel-2.6.2-0.fc4.4
pygtk2-libglade-2.6.2-0.fc4.4
[maners@athlon64 ~]$ rpm -qa | grep -i python
gnome-python2-bonobo-2.10.0-1
python-sqlite-1.1.6-1
gnome-python2-gtkhtml2-2.10.0-2.1
python-numeric-23.7-2
gnome-python2-gconf-2.10.0-1
python-2.4.1-2
gnome-python2-gnomevfs-2.10.0-1
gnome-python2-extras-2.10.0-2.1
mod_python-3.1.4-2
gnome-python2-canvas-2.10.0-1
python-devel-2.4.1-2
python-ldap-2.0.6-4
libxml2-python-2.6.20-1.FC4
dbus-python-0.33-3.fc4.1
python-crypto-2.0.1-1.fc4
rpm-python-4.4.1-22_49.rhfc4.at
gnome-python2-2.10.0-1
gstreamer-python-0.8.1-6
python-urlgrabber-2.9.6-1
python-elementtree-1.2.6-4
Comment 1 Dawid Zamirski 2006-01-09 13:58:05 EST
Update. The problem has been resolved after update to the nwest version:
gazpacho-0.6.3-1.fc4
Comment 2 Konstantin Ryabitsev 2006-01-09 14:06:06 EST
I like it when I don't get to do anything. :)

Sorry, I just don't have any x86_64 machines to test things on.

Note You need to log in before you can comment on or make changes to this bug.